CMSIS-DSP: arm_matrix_instance_f64 Struct Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_matrix_instance_f64 Struct Reference

Instance structure for the floating-point matrix structure.

## Data Fields
uint16_t | numRows
uint16_t | numCols
float64_t * | pData

## Field Documentation

uint16_t arm_matrix_instance_f64::numCols

number of columns of the matrix.

Referenced by arm_mat_inverse_f64().

uint16_t arm_matrix_instance_f64::numRows

number of rows of the matrix.

Referenced by arm_mat_inverse_f64().

float64_t* arm_matrix_instance_f64::pData

points to the data of the matrix.

Referenced by arm_mat_inverse_f64().